<template>
  <q-btn unelevated size="md" icon="mdi-bell-outline" class="q-mr-lg">
    <q-badge color="primary" floating>
      {{ notificationCount }}
    </q-badge>
    <q-menu anchor="bottom right" self="top right">
      <div>
        <q-list class="list-width">
          <template v-for="(notification, key) in notifications" :key="key">
            <q-item clickable v-ripple :to="notification.link" class="q-pa-md">
              <q-item-section>
                {{ notification.description }}
              </q-item-section>
              <q-item-section v-if="!notification.isRead" side>
                <q-badge rounded color="primary" />
              </q-item-section>
            </q-item>
            <q-separator v-if="key + 1 !== notifications.length" />
          </template>
        </q-list>
      </div>
    </q-menu>
  </q-btn>
</template>

<script>
// import { DUMMY_NOTIFICATIONS } from '../statics'
import { defineComponent, ref, computed } from "vue";

export default defineComponent({
  name: "NotificationsMenu",
  setup() {
    // const notifications = ref(DUMMY_NOTIFICATIONS)
    // const notificationCount = computed(() => {
    // 	const unReadNotifications = notifications.value.filter((item) => !item.isRead)
    // 	return unReadNotifications.length
    // })
    // return {
    // 	notifications,
    // 	notificationCount
    // }
  },
});
</script>

<style lang="scss" scoped>
.list {
  &-width {
    min-width: 200px;
    max-width: 350px;
  }
}
.q-btn {
  border-radius: 50px !important;
  padding: 5px !important;
}

.q-badge {
  background-color: $brand-1 !important;
  border-radius: 50px !important;
}
</style>
